/*
 * XFTA Version 2.0.1
 * xfta-api.h
 *
 * This file is part of the XFTA project.
 * Copyright (c) 2014-2020 AltaRica Association - All Rights Reserved.
 * Unauthorized copying of this file, via any medium, is strictly prohibited.
 * The content of this file is proprietary and confidential.
 * This file has been written by Antoine B. RAUZY.
 */

#ifndef XFTA_API_H
#define XFTA_API_H

#ifdef __WINDOWS__
	#include <windows.h>
	#include <process.h>
	#ifndef _WINDLL
		#define _WINDLL
	#endif
	#ifdef _WINDLL
		#define DLLEXPORT extern "C" __declspec(dllexport)
		#define DLLIMPORT __declspec(dllimport)
	#else
		#define DLLEXPORT
		#define DLLIMPORT
	#endif
#else
	#define DLLEXPORT
	#define DLLIMPORT
#endif

DLLEXPORT int XFTA_EvalScript(char* fileName);

#endif // XFTA_API_H

